Subject: Re: Cleaning up git user-interface warts

From: Marko Macek <[email-masked]>
Date: Thu, 16 Nov 2006 07:07:47 +0100

Junio C Hamano wrote:
> Marko Macek <[email-masked]> writes:
> 
>> For people switching from CVS and SVN it would be much better if the
>> index was hidden behind the scenes by using different defaults:
>>
>> git-commit -a
>> git-status -a
>> git-diff HEAD
>>
>> BTW, currently there's a minor bug: git-diff HEAD doesn't work before
>> you make the first commit. Perhaps this should be special cased.
> 
> That's only a _bug_ in your implementation of the synonym for
> "svn diff" which blindly used "git diff HEAD".

My "implementation" is taken from git-diff man page. It seems obvious
that the situation before the first commit is just a special case if 
we consider git-diff to be Porcelain (which I do).

> This "there is no HEAD yet" is not related to the index, but I

I agree, this is a separate issue.